<?php

/*
 * tnef_file_base.php
 *
 *  Bernd Wiegmann <bernd@wib-software.de>
 *  (c) 2003 (GNU GPL - see ../../COPYING)
 *
 */

/*
 *   $Header: /storage/repository/attachment_tnef/tnef_file_base.php,v 1.1 2003/10/06 16:21:55 bernd Exp $
 *
 *   $Log: tnef_file_base.php,v $
 *   Revision 1.1  2003/10/06 16:21:55  bernd
 *   Preparations for 0.6
 *
 *
 */

class TnefFileBase {
  var $name;
  var $type;
  var $content;
  var $created;
  var $modified;
  var $tnef_debug;

  function TnefFileBase($tnef_debug) {
    $this->name = "Untitled";
    $this->type = "application/octet-stream";
    $this->content = "";
    $this->tnef_debug = $tnef_debug;
  }

  function getName() {
    return $this->name;
  }

  function getType() {
    return $this->type;
  }

  function getSize() {
    return strlen($this->content);
  }

  function &getCreated() {
    return $this->created;
  }

  function &getModified() {
    return $this->modified;
  }

  function getContent() {
    return $this->content;
  }

}

?>